﻿'Author: Daniel Kachakil  (dani@kachakil.com)  Copyright 2009
Public Class ColumnInfo
    Private m_ColumnName As String
    Private m_ColumnType As Type
    Private m_Nullable As Boolean
    Private m_Selected As Boolean = True

    Public ReadOnly Property ColumnName() As String
        Get
            Return Me.m_ColumnName
        End Get
    End Property

    Public ReadOnly Property ColumnType() As Type
        Get
            Return Me.m_ColumnType
        End Get
    End Property

    Public ReadOnly Property Nullable() As Boolean
        Get
            Return Me.m_Nullable
        End Get
    End Property

    Public Property Selected() As Boolean
        Get
            Return Me.m_Selected
        End Get
        Set(ByVal value As Boolean)
            Me.m_Selected = value
        End Set
    End Property

    Public Sub New(ByVal name As String, ByVal type As Type, ByVal nullable As Boolean)
        Me.m_ColumnName = name
        Me.m_ColumnType = type
        Me.m_Nullable = nullable
    End Sub

    Public Sub New(ByVal dataColumn As DataColumn)
        Me.New(dataColumn.ColumnName, dataColumn.DataType, dataColumn.AllowDBNull)
    End Sub

    Public Overrides Function ToString() As String
        Return Me.m_ColumnName + "  (" + Me.m_ColumnType.Name + CStr(IIf(Me.m_Nullable, "", ", NOT NULL")) + ")"
    End Function
End Class
