﻿'Author: Daniel Kachakil  (dani@kachakil.com)  Copyright 2009
Public Class SqlParameterInfo
    Public Enum DataType
        Unknown
        [String]
        Numeric
        [Boolean]
        [Date]
    End Enum

    Private m_Value As String = "null"
    Private m_Type As DataType = DataType.Unknown

    Public ReadOnly Property Value() As String
        Get
            Return m_Value
        End Get
    End Property

    Public ReadOnly Property Type() As DataType
        Get
            Return m_Type
        End Get
    End Property

    Public Sub SetTypeAndMarkerValue(ByVal type As DataType)
        Me.m_Type = type

        Select Case type
            Case DataType.Unknown
                Me.m_Value = "null"
            Case DataType.Numeric
                Me.m_Value = "1"
            Case DataType.[Boolean]
                Me.m_Value = "char(84)+char(82)+char(85)+char(69)" 'true
            Case DataType.String
                Me.m_Value = "char(65)" 'a
            Case DataType.Date
                Me.m_Value = "char(49)+char(58)+char(49)"  '1:1
        End Select
    End Sub

    Public Function GetTypeColor() As Color
        Select Case Me.m_Type
            Case DataType.Numeric
                Return Color.LightSalmon
            Case DataType.[Boolean]
                Return Color.LightYellow
            Case DataType.String
                Return Color.LightGreen
            Case DataType.Date
                Return Color.LightSkyBlue
            Case Else
                Return SystemColors.Window
        End Select

    End Function
End Class
